.countdown-container {
  width: 400px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 15px;
  border-radius: 30px;
}

.countdown-container h1 {
  width: 100%;
  text-align: center;
  padding: 20px;
}

.time-box {
  width: 100px;
  height: 100px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: rgba(255, 255, 255, 0.1);
  border: 2px solid rgba(255, 255, 255, 0.2);
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(255, 255, 255, 0.1);
  font-size: 1.5rem;
  font-weight: bold;
  transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

.time-box:hover {
  transform: scale(1.1);
  box-shadow: 0 6px 12px rgba(255, 255, 255, 0.2);
}

.time-label {
  font-size: 0.8rem;
  opacity: 0.8;
}

@media (max-width: 1370px) {
  .countdown-container h1 {
    font-size: 1.2em;
  }
  .time-box {
    width: 80px;
    height: 80px;
  }
  .countdown-container h1 {
    padding: 10px;
  }
}